Block (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.design.backend

## Class Block

- java.lang.Object
- - hlt.language.design.backend.Block

- All Implemented Interfaces:
    RuntimeObject
  Direct Known Subclasses:
    Closure

      public class Block
      extends java.lang.Object
      implements RuntimeObject

  A `Block` object is to a `Closure` object what a `Scope` expression is to an `Abstraction` expression. In other words, it is a `Closure` that does not need any frame machinery.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Block(Instruction[] code, int address, int voidArity, int intArity, int realArity, int objectArity)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `address()`
    `int` | `arity()`
    `Instruction[]` | `code()`
    `boolean` | `equals(java.lang.Object object)`
    `int` | `hashCode()`
    `int` | `intArity()`
    `int` | `objectArity()`
    `int` | `realArity()`
    `java.lang.String` | `toString()`
    `int` | `trueArity()`
    `int` | `voidArity()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Block

          public Block(Instruction[] code,
               int address,
               int voidArity,
               int intArity,
               int realArity,
               int objectArity)

  - ### Method Detail

    - #### code

          public final Instruction[] code()

    - #### address

          public final int address()

    - #### arity

          public final int arity()

    - #### trueArity

          public final int trueArity()

    - #### voidArity

          public final int voidArity()

    - #### intArity

          public final int intArity()

    - #### realArity

          public final int realArity()

    - #### objectArity

          public final int objectArity()

    - #### equals

          public boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`